#
# Conditional build:
%bcond_without	apidocs		# disable gtk-doc
#
Summary:	libxklavier library
Summary(pl.UTF-8):	Biblioteka libxklavier
Name:		libxklavier
Version:	5.3
Release:	2
License:	LGPL v2+
Group:		X11/Libraries
Source0:	http://ftp.gnome.org/pub/GNOME/sources/libxklavier/5.3/%{name}-%{version}.tar.xz
# Source0-md5:	290ea2a8abc40f78a3a16bdae6f02808
URL:		http://www.freedesktop.org/Software/LibXklavier
BuildRequires:	autoconf >= 2.63
BuildRequires:	automake >= 1:1.10
BuildRequires:	docbook-dtd412-xml
BuildRequires:	gettext-devel >= 0.17
BuildRequires:	glib2-devel >= 1:2.16.0
BuildRequires:	gobject-introspection-devel >= 1.30.0
%{?with_apidocs:BuildRequires:	gtk-doc >= 1.7}
BuildRequires:	iso-codes
BuildRequires:	libtool >= 2:2.2
BuildRequires:	libxml2-devel >= 1:2.6.26
BuildRequires:	pkgconfig
BuildRequires:	tar >= 1:1.22
BuildRequires:	xorg-lib-libX11-devel
BuildRequires:	xorg-lib-libXi-devel >= 1.1.3
BuildRequires:	xorg-lib-libxkbfile-devel
BuildRequires:	xz
Requires:	glib2 >= 1:2.16.0
Requires:	iso-codes
Requires:	libxml2 >= 1:2.6.26
Requires:	xorg-lib-libXi >= 1.1.3
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This library allows you to simplify XKB-related development.

%description -l pl.UTF-8
Ta biblioteka pozwala uprościć programowanie związane z XKB.

%package devel
Summary:	Header files to develop libxklavier applications
Summary(pl.UTF-8):	Pliki nagłówkowe do tworzenia aplikacji z użyciem libxklavier
Group:		X11/Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	glib2-devel >= 1:2.16.0
Requires:	libxml2-devel >= 1:2.6.26
Requires:	xorg-lib-libXi-devel >= 1.1.3
Requires:	xorg-lib-libxkbfile-devel

%description devel
Header files to develop libxklavier applications.

%description devel -l pl.UTF-8
Pliki nagłówkowe do tworzenia aplikacji z użyciem libxklavier.

%package static
Summary:	Static version of libxklavier library
Summary(pl.UTF-8):	Statyczna wersja biblioteki libxklavier
Group:		X11/Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static version of libxklavier library.

%description static -l pl.UTF-8
Statyczna wersja biblioteki libxklavier.

%package apidocs
Summary:	libxklavier API documentation
Summary(pl.UTF-8):	Dokumentacja API libxklavier
Group:		Documentation
Requires:	gtk-doc-common

%description apidocs
libxklavier API documentation.

%description apidocs -l pl.UTF-8
Dokumentacja API libxklavier.

%prep
%setup -q

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	%{__enable_disable apidocs gtk-doc} \
	--disable-silent-rules \
	--with-xkb-bin-base=%{_bindir} \
	--with-xkb-base=%{_datadir}/X11/xkb \
	--with-html-dir=%{_gtkdocdir}
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%{__rm} $RPM_BUILD_ROOT%{_libdir}/*.la

%{!?with_apidocs:rm -rf $RPM_BUILD_ROOT%{_gtkdocdir}/%{name}}

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS CREDITS ChangeLog NEWS README
%attr(755,root,root) %{_libdir}/libxklavier.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libxklavier.so.16
%{_libdir}/girepository-1.0/Xkl-1.0.typelib

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libxklavier.so
%{_datadir}/gir-1.0/Xkl-1.0.gir
%{_pkgconfigdir}/libxklavier.pc
%{_includedir}/libxklavier

%files static
%defattr(644,root,root,755)
%{_libdir}/libxklavier.a

%if %{with apidocs}
%files apidocs
%defattr(644,root,root,755)
%{_gtkdocdir}/%{name}
%endif
%changelog
* Sun Oct 21 2012 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/libxklavier.git;a=log;h=master

* Sun Oct 21 2012 Jan Rękorajski <baggins@pld-linux.org> dc802e4
- rebuild to fix broken filedigests
- release 2 (by relup.sh)

* Wed Sep 26 2012 Marcin Banasiak <marcin.banasiak@gmail.com> fc78d59
Updated to 5.3

* Mon Feb 20 2012 Jakub Bogusz <qboosh@pld-linux.org> 04dbe9b
- gt,lt versions

* Sun Feb 19 2012 Marcin Banasiak <marcin.banasiak@gmail.com> c8a83e9
- updated to 5.2.1

* Tue May 31 2011 Marcin Banasiak <marcin.banasiak@gmail.com> de049d8
- removed *.la files
- release 2

* Sat Feb 26 2011 Patryk Zawadzki <patrys@room-303.com> aac10a6
- 5.1

* Thu Nov 18 2010 hawk <hawk@pld-linux.org> 66cb995
- release 2

* Sun Sep 19 2010 Jakub Bogusz <qboosh@pld-linux.org> ab54560
- updated runtime and -devel deps

* Fri Feb 12 2010 Marcin Banasiak <marcin.banasiak@gmail.com> 61432d4
- obsolete

* Fri Feb 12 2010 Marcin Banasiak <marcin.banasiak@gmail.com> 408a4fa
- updated to 5.0 (new soname)
- removed obsolete -enumeration.patch

* Fri Jan 01 2010 sparky <sparky@pld-linux.org> 485c4c8
- BuildRoot capitalization

* Mon Nov 30 2009 sparky <sparky@pld-linux.org> 000d32d
- BR: docbook-dtd412-xml, gettext-devel

* Thu Nov 12 2009 Patryk Zawadzki <patrys@room-303.com> e8f3b53
- rebuild
- rel 3

* Sat Sep 26 2009 Marcin Banasiak <marcin.banasiak@gmail.com> f33c46a
- merged from DEVEL

* Wed Jun 17 2009 hawk <hawk@pld-linux.org> 013081a
- release 2

* Thu Mar 19 2009 Patryk Zawadzki <patrys@room-303.com> 725a48d
- 3.9

* Fri Nov 28 2008 Marcin Banasiak <marcin.banasiak@gmail.com> edb8f2f
- updated to 3.8

* Sun Nov 09 2008 Marcin Banasiak <marcin.banasiak@gmail.com> fa16784
- release 2

* Sat Sep 06 2008 Marcin Banasiak <marcin.banasiak@gmail.com> b00ee2e
- updated to 3.7

* Tue May 06 2008 Jakub Bogusz <qboosh@pld-linux.org> 24ba620
- BR+R iso-codes

